<?php 

define('THEME_HAS_FILM_STRIP_GRAPHIC', 1); 



// HTML template for filmstrip display

$template_film_strip = <<<EOT

<tr><td>

	<table width="100%" cellspacing="0" cellpadding="0">			

		<tr>

		<td valign="top" style="background-image: url({TILE1});"><img src="{TILE1}" alt="" border="0" /></td>

		<td>

         	{THUMB_STRIP}

		</td> 

		<td valign="top" style="background-image: url({TILE2});"><img src="{TILE2}" alt="" border="0" /></td>

        	</tr>

	</table>

</td></tr>

	

<!-- BEGIN thumb_cell -->

			<table width="100%" cellspacing="0" cellpadding="0">

			<tr>

				<td align="center" valign="bottom">

				<a href="{LINK_TGT}">{THUMB}</a>

				</td>

			</tr>

			</table>

			{CAPTION}

			{ADMIN_MENU}

<!-- END thumb_cell -->

<!-- BEGIN empty_cell -->

                <td valign="top" align="center">&nbsp;</td>

<!-- END empty_cell -->



EOT;





// HTML template for intermediate image display - HS: valign

$template_display_media = <<<EOT

                <td align="center" valign="top" class="display_media" height="{CELL_HEIGHT}" style="white-space: nowrap; padding: 0px;">

                        <table cellspacing="2" cellpadding="0" class="imageborder">

                               <tr>

                                        <td align="center">

                                                {IMAGE}

                                                {ADMIN_MENU}

                                        </td>

                               </tr>

                        </table>

<!-- BEGIN img_desc -->

                        <table cellpadding="0" cellspacing="0" class="tableb">

<!-- BEGIN title -->

                                <tr>

                                        <td class="tableb"><center><b>

                                                {TITLE}

                                        </b></center></td>

                                </tr>

<!-- END title -->

<!-- BEGIN caption -->

                                <tr>

                                        <td class="tableb"><center>

                                                {CAPTION}

                                        </center></td>

                                </tr>

<!-- END caption -->

                        </table>

<!-- END img_desc -->

                </td>

EOT;



// Added to display film_strip

function theme_display_film_strip(&$thumb_list, $nbThumb, $album_name, $aid, $cat, $pos, $sort_options, $mode = 'thumb')

{

    global $CONFIG, $THEME_DIR;

    global $template_film_strip, $lang_film_strip;



    static $template = '';

    static $thumb_cell = '';

    static $empty_cell = '';

    static $spacer = '';



    if ((!$template)) {

        $template = $template_film_strip;

        $thumb_cell = template_extract_block($template, 'thumb_cell');

        $empty_cell = template_extract_block($template, 'empty_cell');

    }



    $cat_link = is_numeric($aid) ? '' : '&cat=' . $cat;



    $thumbcols = $CONFIG['thumbcols'];

    $cell_width = ceil(100 / $CONFIG['max_film_strip_items']) . '%';



    $i = 0;

    $thumb_strip = '';

    foreach($thumb_list as $thumb) {

        $i++;

        if ($mode == 'thumb') {

            $params = array('{CELL_WIDTH}' => $cell_width,

                '{LINK_TGT}' => "displayimage.php?album=$aid$cat_link&pos={$thumb['pos']}",

                '{THUMB}' => $thumb['image'],

                '{CAPTION}' => '',

                '{ADMIN_MENU}' => ''

                );

        } else {

            $params = array('{CELL_WIDTH}' => $cell_width,

                '{LINK_TGT}' => "index.php?cat={$thumb['cat']}",

                '{THUMB}' => $thumb['image'],

                '{CAPTION}' => '',

                '{ADMIN_MENU}' => ''

                );

        }

        $thumb_strip .= template_eval($thumb_cell, $params);

    }



    if (defined('THEME_HAS_FILM_STRIP_GRAPHICS')) {

        $tile1 = $THEME_DIR . 'images/tile1.gif';

        $tile2 = $THEME_DIR . 'images/tile2.gif';

    } elseif (defined('THEME_HAS_FILM_STRIP_GRAPHIC')) {

        $tile1=$tile2=$THEME_DIR . 'images/tile.gif';

    } else {

        $tile1=$tile2= 'images/tile.gif';

    }



    $params = array('{THUMB_STRIP}' => $thumb_strip,

        '{COLS}' => $i,

        '{TILE1}' => $tile1,

        '{TILE2}' => $tile2,

        );



    ob_start();

    starttable('');

      echo template_eval($template, $params);

    endtable();

    $film_strip = ob_get_contents();

    ob_end_clean();



    return $film_strip;

}



function theme_display_image($nav_menu, $picture, $votes, $pic_info, $comments, $film_strip)

{

    global $HTTP_COOKIE_VARS, $CONFIG;



    starttable();

	    echo $nav_menu;

    endtable();

    starttable();

    if ($CONFIG['display_film_strip'] == 1) {

		echo '<tr><td width="200" class="tableb" valign="middle" ><!-- gb before film_strip -->';

	        echo $film_strip;

		echo "</td><!-- gb after film_strip -->";

    }

		echo "<!-- gb before picture -->";		

    echo $picture;

    echo "</tr><!-- gb after picture -->";

    endtable();



    starttable();

    	echo $votes;

    endtable();



    $picinfo = isset($HTTP_COOKIE_VARS['picinfo']) ? $HTTP_COOKIE_VARS['picinfo'] : ($CONFIG['display_pic_info'] ? 'block' : 'none');

    echo "<div id=\"picinfo\" style=\"display: $picinfo;\">\n";

    starttable();

    echo $pic_info;

    endtable();

    echo "</div>\n";



    starttable();

    echo $comments;

    endtable();

}



function theme_html_picture()

{

    global $CONFIG, $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $USER;

    global $album, $comment_date_fmt, $template_display_media;

    global $lang_display_image_php, $lang_picinfo;



    $pid = $CURRENT_PIC_DATA['pid'];

    $pic_title = '';



    if (!isset($USER['liv']) || !is_array($USER['liv'])) {

        $USER['liv'] = array();

    }

    // Add 1 to hit counter

    if (!USER_IS_ADMIN && !in_array($pid, $USER['liv']) && isset($_COOKIE[$CONFIG['cookie_name'] . '_data'])) {

        add_hit($pid);

        if (count($USER['liv']) > 4) array_shift($USER['liv']);

        array_push($USER['liv'], $pid);

    }



    if($CONFIG['thumb_use']=='ht' && $CURRENT_PIC_DATA['pheight'] > $CONFIG['picture_width'] ){ // The wierd comparision is because only picture_width is stored

      $condition = true;

    }elseif($CONFIG['thumb_use']=='wd' && $CURRENT_PIC_DATA['pwidth'] > $CONFIG['picture_width']){

      $condition = true;

    }elseif($CONFIG['thumb_use']=='any' && max($CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight']) > $CONFIG['picture_width']){

      $condition = true;

    }else{

     $condition = false;

    }



    if ($CURRENT_PIC_DATA['title'] != '') {

        $pic_title .= $CURRENT_PIC_DATA['title'] . "\n";

    }

    if ($CURRENT_PIC_DATA['caption'] != '') {

        $pic_title .= $CURRENT_PIC_DATA['caption'] . "\n";

    }

    if ($CURRENT_PIC_DATA['keywords'] != '') {

        $pic_title .= $lang_picinfo['Keywords'] . ": " . $CURRENT_PIC_DATA['keywords'];

    }



    if (!$CURRENT_PIC_DATA['title'] && !$CURRENT_PIC_DATA['caption']) {

        template_extract_block($template_display_media, 'img_desc');

    } else {

        if (!$CURRENT_PIC_DATA['title']) {

            template_extract_block($template_display_media, 'title');

        }

        if (!$CURRENT_PIC_DATA['caption']) {

            template_extract_block($template_display_media, 'caption');

        }

    }



    $CURRENT_PIC_DATA['menu'] = html_picture_menu(); //((USER_ADMIN_MODE && $CURRENT_ALBUM_DATA['category'] == FIRST_USER_CAT + USER_ID) || ($CONFIG['users_can_edit_pics'] && $CURRENT_PIC_DATA['owner_id'] == USER_ID && USER_ID != 0) || GALLERY_ADMIN_MODE) ? html_picture_menu($pid) : '';



    if ($CONFIG['make_intermediate'] && $condition ) {

        $picture_url = get_pic_url($CURRENT_PIC_DATA, 'normal');

    } else {

        $picture_url = get_pic_url($CURRENT_PIC_DATA, 'fullsize');

    }



    $image_size = compute_img_size($CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight'], $CONFIG['picture_width']);



    $pic_title = '';

    $mime_content = cpg_get_type($CURRENT_PIC_DATA['filename']);





    if ($mime_content['content']=='movie' || $mime_content['content']=='audio') {



        if ($CURRENT_PIC_DATA['pwidth']==0 || $CURRENT_PIC_DATA['pheight']==0) {

            $CURRENT_PIC_DATA['pwidth']  = 320; // Default width



            // Set default height; if file is a movie

            if ($mime_content['content']=='movie') {

                $CURRENT_PIC_DATA['pheight'] = 240; // Default height

            }

        }



        $ctrl_offset['mov']=15;

        $ctrl_offset['wmv']=45;

        $ctrl_offset['swf']=0;

        $ctrl_offset['rm']=0;

        $ctrl_offset_default=45;

        $ctrl_height = (isset($ctrl_offset[$mime_content['extension']]))?($ctrl_offset[$mime_content['extension']]):$ctrl_offset_default;

        $image_size['whole']='width="'.$CURRENT_PIC_DATA['pwidth'].'" height="'.($CURRENT_PIC_DATA['pheight']+$ctrl_height).'"';

    }



    if ($mime_content['content']=='image') {

        if (isset($image_size['reduced'])) {

			$imginfo=getimagesize($picture_url);

            $winsizeX = $CURRENT_PIC_DATA['pwidth']+5;  //the +'s are the mysterious FF and IE paddings

            $winsizeY = $CURRENT_PIC_DATA['pheight']+3; //the +'s are the mysterious FF and IE paddings

			$pic_html = "<table cellpadding=0 cellspacing=0><tr><td background=\"" . $picture_url . "\" width={$imginfo[0]} height={$imginfo[1]} class=\"image\">";

            $pic_html .= "<a href=\"javascript:;\" onclick=\"MM_openBrWindow('displayimage.php?pid=$pid&amp;fullsize=1','" . uniqid(rand()) . "','scrollbars=yes,toolbar=no,status=no,resizable=yes,width=$winsizeX,height=$winsizeY')\">";

            $pic_title = $lang_display_image_php['view_fs'] . "\n==============\n" . $pic_title;

            $pic_html .= "<img src=\"images/overlay.gif\" width={$imginfo[0]} height={$imginfo[1]}  border=\"0\" alt=\"{$lang_display_image_php['view_fs']}\" /><br />";

            $pic_html .= "</a>\n </td></tr></table>";

        } else {

			$pic_html = "<table cellpadding=0 cellspacing=0><tr><td background=\"" . $picture_url . "\" width={$CURRENT_PIC_DATA['pwidth']} height={$CURRENT_PIC_DATA['pheight']} class=\"image\">";

            $pic_html .= "<img src=\"images/overlay.gif\" width={$CURRENT_PIC_DATA['pwidth']} height={$CURRENT_PIC_DATA['pheight']} border=\"0\" alt=\"\" /><br />\n";

            $pic_html .= "</td></tr></table>";

		}

    } elseif ($mime_content['content']=='document') {

        $pic_thumb_url = get_pic_url($CURRENT_PIC_DATA,'thumb');

        $pic_html = "<a href=\"{$picture_url}\" target=\"_blank\" class=\"document_link\"><img src=\"".$pic_thumb_url."\" border=\"0\" class=\"image\" /></a>\n<br />";

    } else {

        $autostart = ($CONFIG['media_autostart']) ? ('true'):('false');



        $players['WMP'] = array('id' => 'MediaPlayer',

                                'clsid' => 'classid="clsid:6BF52A52-394A-11D3-B153-00C04F79FAA6" ',

                                'codebase' => 'codebase="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=5,1,52,701" ',

                                'mime' => 'type="application/x-mplayer2" ',

                               );

        $players['RMP'] = array('id' => 'RealPlayer',

                                'clsid' => 'classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" ',

                                'codebase' => '',

                                'mime' => 'type="audio/x-pn-realaudio-plugin" '

                               );

        $players['QT']  = array('id' => 'QuickTime',

                                'clsid' => 'classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" ',

                                'codebase' => 'codebase="http://www.apple.com/qtactivex/qtplugin.cab" ',

                                'mime' => 'type="video/x-quicktime" '

                               );

        $players['SWF'] = array('id' => 'SWFlash',

                                'clsid' => ' classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" ',

                                'codebase' => 'codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" ',

                                'mime' => 'type="application/x-shockwave-flash" '

                               );

        $players['UNK'] = array('id' => 'DefaultPlayer',

                                'clsid' => '',

                                'codebase' => '',

                                'mime' => ''

                               );



        if (isset($_COOKIE[$CONFIG['cookie_name'].'_'.$mime_content['extension'].'player'])) {

            $user_player = $_COOKIE[$CONFIG['cookie_name'].'_'.$mime_content['extension'].'player'];

        } else {

            $user_player = $mime_content['player'];

        }



                // There isn't a player selected or user wants client-side control

        if (!$user_player) {

            $user_player = 'UNK';

        }



        $player = $players[$user_player];



        $pic_html  = '<object id="'.$player['id'].'" '.$player['classid'].$player['codebase'].$player['mime'].$image_size['whole'].'>';

        $pic_html .= "<param name=\"autostart\" value=\"$autostart\" /><param name=\"src\" value=\"". $picture_url . "\" />";

        $pic_html .= '<embed '.$image_size['whole'].' src="'. $picture_url . '" autostart="'.$autostart.'" '.$player['mime'].'></embed>';

        $pic_html .= "</object><br />\n";

    }



    $CURRENT_PIC_DATA['html'] = $pic_html;

    $CURRENT_PIC_DATA['header'] = '';

    $CURRENT_PIC_DATA['footer'] = '';



    $CURRENT_PIC_DATA = CPGPluginAPI::filter('file_data',$CURRENT_PIC_DATA);



    $params = array('{CELL_HEIGHT}' => '100',

        '{IMAGE}' => $CURRENT_PIC_DATA['header'].$CURRENT_PIC_DATA['html'].$CURRENT_PIC_DATA['footer'],

        '{ADMIN_MENU}' => $CURRENT_PIC_DATA['menu'],

        '{TITLE}' => bb_decode($CURRENT_PIC_DATA['title']),

        '{CAPTION}' => bb_decode($CURRENT_PIC_DATA['caption']),

        );



    return template_eval($template_display_media, $params);

}



function theme_display_fullsize_pic()

{

    global $CONFIG, $THEME_DIR, $ALBUM_SET;

    global $lang_errors, $lang_fullsize_popup, $lang_charset;



    if (isset($_GET['picfile']))

    {

        if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);



    $picfile = $_GET['picfile'];

    $picname = $CONFIG['fullpath'] . $picfile;

    $imagesize = @getimagesize($picname);

    $imagedata = array('name' => $picfile, 'path' => path2url($picname), 'geometry' => $imagesize[3]);

    }

    elseif (isset($_GET['pid']))

    {

    $pid = (int)$_GET['pid'];

    $sql = "SELECT * " . "FROM {$CONFIG['TABLE_PICTURES']} " . "WHERE pid='$pid' $ALBUM_SET";

    $result = cpg_db_query($sql);



    if (!mysql_num_rows($result)) cpg_die(ERROR, $lang_errors['non_exist_ap'], __FILE__, __LINE__);



    $row = mysql_fetch_array($result);

    $pic_url = get_pic_url($row, 'fullsize');

    $geom = 'width="' . $row['pwidth'] . '" height="' . $row['pheight'] . '"';

    $imagedata = array('name' => $row['filename'], 'path' => $pic_url, 'geometry' => $geom);

    }



?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>

  <head>

  <meta http-equiv="content-type" content="text/html; charset=<?php echo $CONFIG['charset'] == 'language file' ? $lang_charset : $CONFIG['charset'] ?>" />

  <title><?php echo $CONFIG['gallery_name'] ?>: <?php echo $lang_fullsize_popup['click_to_close'];

      ?></title>

  <script type="text/javascript" src="scripts.js"></script>

  <style type="text/css">

  body { margin: 0; padding: 0; background-color: gray; }

  img { margin:0; padding:0; border:0; }

  #content { margin:0 auto; padding:0; border:0; }

  table { border:0; <?php $imagedata['geometry'] ?> border-collapse:collapse}

  td {         vertical-align: middle; text-align:center; }

  </style>

  </head>

  <body>

    <script language="JavaScript" type="text/JavaScript">

      adjust_popup();

    </script>

    <table cellpadding="0" cellspacing="0" align="center">

      <tr>

              <?php     

			  	echo "<td align=\"center\" valign=\"middle\" background=\"" . htmlspecialchars($imagedata['path']) . "\" {$imagedata['geometry']} class=\"image\">";

				echo "<div id=\"content\">";

			  	echo  '<a href="javascript: window.close()"><img src="images/overlay.gif" '

                . $imagedata['geometry']

                . ' alt="'

                . htmlspecialchars($imagedata['name'])

                . '" title="'

                . htmlspecialchars($imagedata['name'])

                . "\n" . $lang_fullsize_popup['click_to_close']

                . '" /></a><br />' ."\n";

               ?>

          </div>

        </td>

      </tr>

    </table>

  </body>

</html>

<?php

}

?>